KDE 4.7 PyKDE API Reference

- KDE's Python API

# KPtyDevice Class Reference

`from PyKDE4.kdecore import *`

Inherits: QIODevice → QObject,KPty

## Detailed Description

## Signals
| readEof ()
| readyRead ()
## Methods
| __init__ (self, QObject a0=0)
bool | atEnd (self)
long | bytesAvailable (self)
long | bytesToWrite (self)
bool | canReadLine (self)
| close (self)
bool | isSequential (self)
bool | open (self, QIODevice::OpenMode a0)
bool | waitForBytesWritten (self, int a0=-1)
bool | waitForReadyRead (self, int a0=-1)

## Signal Documentation

readEof | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("readEof()"), target_slot)`

readyRead | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("readyRead()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QObject | a0=0
| ) |  |  |

bool atEnd | ( |  | self ) |

long bytesAvailable | ( |  | self ) |

long bytesToWrite | ( |  | self ) |

bool canReadLine | ( |  | self ) |

close | ( |  | self ) |

bool isSequential | ( |  | self ) |

bool open | ( | self, |
|  | QIODevice::OpenMode | a0
| ) |  |  |

bool waitForBytesWritten | ( | self, |
|  | int | a0=-1
| ) |  |  |

bool waitForReadyRead | ( | self, |
|  | int | a0=-1
| ) |  |  |